Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class ConfigStatsHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.ConfigStatsHelper

    public class ConfigStatsHelper

extends HelperBase

Field Summary

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`ConfigStatsHelper()`

Method Summary
`boolean` | `getCurrentCanBeGraphed()`
`String` | `getCurrentGraphName()`
`String` | `getCurrentGroupName()` What group is the current stat in
`boolean` | `getCurrentIsGraphed()`
`boolean` | `getCurrentIsLogged()`
`String` | `getCurrentStatDescription()`
`String` | `getCurrentStatName()`
`String` | `getExplicitFilter()`
`String` | `getFilename()`
`boolean` | `getIsFull()`
`boolean` | `groupRequired()` Is the current stat the first in the group?
`boolean` | `hasMoreStats()` move the cursor to the next known stat, returning true if a valid stat is available.
`void` | `setContextId(String contextId)` Configure this bean to query a particular router context

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _x, ngettext, storeWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigStatsHelper

    public ConfigStatsHelper()

Method Detail

### setContextId

    public void setContextId(String contextId)

  Configure this bean to query a particular router context

  Overrides:
    `setContextId` in class `HelperBase`
  Parameters:
    `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.

### getFilename

    public String getFilename()

### hasMoreStats

    public boolean hasMoreStats()

  move the cursor to the next known stat, returning true if a valid stat is available.

  Returns:
    true if a valid stat is available, otherwise false

### groupRequired

    public boolean groupRequired()

  Is the current stat the first in the group?

### getCurrentGroupName

    public String getCurrentGroupName()

  What group is the current stat in

### getCurrentStatName

    public String getCurrentStatName()

### getCurrentGraphName

    public String getCurrentGraphName()

### getCurrentStatDescription

    public String getCurrentStatDescription()

### getCurrentIsLogged

    public boolean getCurrentIsLogged()

### getCurrentIsGraphed

    public boolean getCurrentIsGraphed()

### getCurrentCanBeGraphed

    public boolean getCurrentCanBeGraphed()

### getExplicitFilter

    public String getExplicitFilter()

### getIsFull

    public boolean getIsFull()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD